.Chat {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.Chat__container {
  width: 100vw;
  display: grid;
  font-size: calc(10px + 2vmin);
  color: white;
  grid-template-columns: 1fr 5fr;
}

.Chat__container-message {
  display: flex;
  flex-direction: column;
  height: calc(100vh - 110px);
}

.Chat-messages-list {
  padding: 60px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: flex-end;
  height: calc(100% - 85px);
  overflow-y: auto;
}

.Chat-messages__item {
    display: flex;
    flex-direction: column;
}

.Chat-messages__user-name {
    text-align: start;
    font-size: 22px;
}

.Chat-messages__user-name--owner {
    text-align: end;
}

.Chat-messages__text--admin {
  color: white;
  font-size: 25px;
  background: #025902;
  width: 100%;
  display: block;
  padding-top: 5px;
  padding-bottom: 5px;
  border-radius: 10px;
}

.Chat-messages__text {
    display: flex;
    align-items: center;
    align-self: start;

    padding-top: 10px;
    padding-right: 15px;
    padding-bottom: 10px;
    padding-left: 15px;

    border: 1px solid;
    border-radius: 20px;

    color: black;
    background: #765af5;
}

.Chat-messages__text--owner {
    align-self: end;

    background: #f5c75a;
}

.Chat-input__form {
    display: flex;
    height: 85px;
    gap: 10px;
    justify-content: space-between;

    margin-right: 30px;
    margin-left: 30px;

    padding-top: 20px;
    padding-right: 30px;
    padding-bottom: 10px;
    padding-left: 30px;

    border-top: 3px solid white;
    border-radius: 50px;
}

.Chat-input__form-input {
    width: 100%;

    padding: 10px;

    border-radius: 15px;

    font-size: 25px;

    color: #282c34;
    background-color: #f5c75a;
    
    outline: none;

    transition: all 250ms cubic-bezier(0.075, 0.82, 0.165, 1);
  }

.Chat-input__form-input:focus {
  -webkit-box-shadow: 0px 0px 14px 3px rgba(245,199,90,1);
  -moz-box-shadow: 0px 0px 14px 3px rgba(245,199,90,1);
  box-shadow: 0px 0px 14px 3px rgba(245,199,90,1);  
  scale: 101%
}

.Chat-input__button{
    padding-right: 30px;
    padding-left: 30px;

    border-radius: 15px;

    background-color: #f5c75a;

    color: dark;
    font-size: 25px;

    transition: all 250ms cubic-bezier(0.075, 0.82, 0.165, 1);
}

.Chat-input__button:hover,
.Chat-input__button:focus {
  background-color: rgb(45, 62, 249);
  color: white;
}
